/*  core_cubedata.js 
 *
 * Developed by:
 *   Richard M. Salter
 *   Logical Labs, LLC
 *
 * Copyright (c) 2011 by Logical Labs, LLC. All Rights Reserved.
 *
 */

exports.Cube = function(texFile) {
	var data = {
	cubeVertices : [
		// FRONT
		-1.0, -1.0,  -1.0,
		1.0, -1.0,  -1.0,
		-1.0,  1.0,  -1.0,
		1.0,  1.0,  -1.0,
		// BACK
		-1.0, -1.0, 1.0,
		-1.0,  1.0, 1.0,
		1.0, -1.0, 1.0,
		1.0,  1.0, 1.0,
		// LEFT
		-1.0, -1.0,  -1.0,
		-1.0,  1.0,  -1.0,
		-1.0, -1.0, 1.0,
		-1.0,  1.0, 1.0,
		// RIGHT
		1.0, -1.0, 1.0,
		1.0,  1.0, 1.0,
		1.0, -1.0, -1.0,
		1.0,  1.0, -1.0,
		// TOP
		-1.0, 1.0, -1.0,
		1.0,  1.0,  -1.0,
		-1.0, 1.0, 1.0,
		1.0,  1.0, 1.0,
		// BOTTOM
		-1.0, -1.0,  -1.0,
		-1.0, -1.0, 1.0,
		1.0, -1.0,  -1.0,
		1.0, -1.0, 1.0,
		],
		cubeTexCoords :
		[//front
		0.0, 0.0,
		0.5, 0.0,
		0.0, 0.5,
		0.5, 0.5,
		//back
		0.5, 0.0,
		0.5, 0.5,
		0.0, 0.0,
		0.0, 0.5,
		//left
		0.5, 0.5,
		0.5, 1.0,
		0.0, 0.5,
		0.0, 1.0,
		//right
		0.5, 0.5,
		0.5, 1.0,
		0.0, 0.5,
		0.0, 1.0,
		//top
		0.0, 0.0,
		1.0, 0.0,
		0.0, 1.0,
		1.0, 1.0,
		//bottom
		1.0, 0.0,
		1.0, 1.0,
		0.0, 0.0,
		0.0, 1.0
		],
		matAmbient : [1.0, 1.0, 1.0, 1.0],
		matDiffuse : [1.0, 1.0, 1.0, 1.0],
		matShininess : 100.0,
		tFile : Titanium.Filesystem.getFile(Titanium.Filesystem.resourcesDirectory, texFile)
	};
	return data;
};
