// Menu Class
// - for creating and handling generalized configuration data driven menus

// John Pataki, Richard Salter
// Logical Labs

var CFG = require("cfg");

var components = {
	topwin : Ti.UI.createWindow(),
	navwin : Ti.UI.createWindow({
		backgroundColor : 'white',
		title : "Ti OpenGL Demos"
	}),
	table : Ti.UI.createTableView({
		data : CFG.main
	}),
}

var iPhone = Ti.Platform.osname == "iphone" || Ti.Platform.osname == 'ipad';

var createDemoWin = function(title, url) {
	var win = Ti.UI.createWindow({
		title : title,
		backgroundColor : '#fff'
	});
	require(url).initialize(win);
	if(iPhone) {
		win.addEventListener('close', function(e) {
			nav.close(win);
		});
	}
	return win;
};

exports.open = function() {
	if(iPhone) {
		nav = Ti.UI.iPhone.createNavigationGroup({
			window : components.navwin
		});
		components.topwin.add(nav);
	}
	components.table.addEventListener('click', function(e) {
		var url = e.rowData.url;
		var win = createDemoWin(e.rowData.title, url);
		if(iPhone) {
			nav.open(win, {
				animated : true
			});
		}
	});
	components.navwin.add(components.table);
	components.topwin.open({
		animate : true
	});
}